%define major 12
%define libname %mklibname ticalcs2_ %{major}
%define develname %mklibname ticalcs2 -d

Name:           libticalcs2
Version:        1.1.9
Release:        %mkrel 2
Summary:        Texas Instruments calculator communication library

Group:          System/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel
BuildRequires:  libticonv-devel
BuildRequires:  lib64ticables2-devel
BuildRequires:  lib64tifiles2-devel
BuildRequires:  gettext-devel

%package i18n
Summary:        Internationalization and locale data for %{name}
Group:          System/Internationalization
BuildArch:      noarch


%description i18n
Internationalization and locale data for %{name}.

%package -n %{libname}
Group:          System/Libraries
Summary:        Texas Instruments calculators files library
Provides:       %{name} = %{version}-%{release}
Requires:       %{name}-i18n >= %{version}-%{release}
Obsoletes: 		libticalcs

%package -n %{develname}
Group:          Development/Libraries
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       ticalcs2-devel = %{version}-%{release}
Obsoletes: 		libticalcs2-devel

%description
The ticalcs library is a library which brings about all the
functions needed to communicate with a Texas Instruments
graphing calculator (or hand-held).

%description -n %{libname}
The ticalcs library is a library which brings about all the
functions needed to communicate with a Texas Instruments
graphing calculator (or hand-held). Currently, it does not
support some education devices (such as CBL/CBR and others).
This library is able to communicate with handhelds in a fairly
transparent fashion. With this library, the developer does not
have to worry about the packet oriented protocol, the file
management and some other stuff.

%description -n %{develname}
Include files and libraries for developing applications
to work with libticalcs.

%prep
%setup -q

rm po/fr.gmo

%build
autoreconf -vfi
%configure2_5x --disable-static
%make

make -C po fr.gmo

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%doc README AUTHORS ChangeLog COPYING
%{_libdir}/libticalcs2.so.%{major}
%{_libdir}/libticalcs2.so.%{major}.*

%files -n %{develname}
%{_includedir}/tilp2/*
%{_libdir}/pkgconfig/ticalcs2.pc
%{_libdir}/libticalcs2.so


%changelog
* Tue Oct 15 2019 tex - 1.1.9-2pclos2019
- rebuild against updates

* Sun Jan 04 2017 bb <bb> 1.1.9-1pclos2017
- new version

